Skip to main content
POST
/
api
/
v2
/
numberingProvider
Add a numbering provider to an organization
curl --request POST \
  --url 'https://api.vida.dev/api/v2/numberingProvider?token=' \
  --header 'Content-Type: application/json' \
  --data '
{
  "providerId": "Twilio",
  "config": {
    "twilioAccountSid": "ACxxxx",
    "twilioAuthToken": "tokenxxxx"
  },
  "default": false,
  "enabled": true
}
'
{
  "success": true,
  "message": "Numbering provider added"
}

Documentation Index

Fetch the complete documentation index at: https://vida.io/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

token
string
query
required

Vida API Token

Query Parameters

targetOrganizationId
string
required

Target Organization Id to update settings for

Body

application/json
providerId
string
required
Example:

"Twilio"

config
object
required
Example:
{
"twilioAccountSid": "ACxxxx",
"twilioAuthToken": "tokenxxxx"
}
default
boolean
Example:

false

enabled
boolean
Example:

true

Response

Numbering provider added

success
boolean
Example:

true

message
string
Example:

"Numbering provider added"